Urban Terror Forums: help w/ radeon 7500 - Urban Terror Forums

Jump to content

 Login | Register 
Advertisement
  • (2 Pages)
  • +
  • 1
  • 2
  • You cannot start a new topic
  • This topic is locked

help w/ radeon 7500 Rate Topic: -----

#1 User is offline   Insane_Penquin (old) Icon

  • Joined: 09-February 04
  • Posts: 47
  • Locationwaco, tx

Posted 02 April 2004 - 10:53 PM

i have a radeon 7500 and fedora core 1 w/ 2.6.4 kernel and i am having trouble getting 3d acceleration working. the main is i have no idea what to do, i found that dri project and gatos. can someone point a brother in the right direction.

#2 User is offline   forever (old) Icon

  • Joined: 07-February 04
  • Posts: 43

Posted 03 April 2004 - 10:49 AM

my obvious answer will be: downgrade to the 2.4 series kernel. Another thing is if You compiled DRI and apriopriate module - radeon (section dri).
Really need more details like Your kernel configuration file (just the part DRI) and XF86Config file, in order to help You.

#3 User is offline   L3mMinG (old) Icon

  • Joined: 20-February 04
  • Posts: 862

Posted 03 April 2004 - 12:39 PM

In the kernel configuration look for character devices (under decive drivers in 2.6), there make sure to enable XFree direct rendering manager and to compile the radeon driver.

(u could just try 'modprobe radeon' since fedora will most likely have the module already)

Then under /etc/X11/XF86Config make sure it says
Load "glx"
Load "dri"

and make a DRI section that says:
Section "DRI"
Mode 0666
EndSection

So if you have radeon module loaded (check this by doing 'lsmod') and made the changes to XF86Config you can restart X and try out glxgears or quake3

#4 User is offline   Rookie1 Icon

  • Account: rookie1
  • Main tag: ]_[
  • Country:
  • Joined: 04-March 10
  • Posts: 86

Posted 04 April 2004 - 12:20 PM

Yes, L3mMinG is right. My ATI Radeon Mobility M7 (which is a 7500 for Notebooks) runs with this settings.
Just another hint: You'll most likely have to load the agpgart module as well (modprobe agpgart).

#5 User is offline   Insane_Penquin (old) Icon

  • Joined: 09-February 04
  • Posts: 47
  • Locationwaco, tx

Posted 05 April 2004 - 06:54 AM

Tahnks for yall's help

bullet_loaderAdvertisement

#6 User is offline   MrSentry Icon

  • Account: mrsentry
  • Main tag: 6th|
  • Country:
  • Joined: 28-February 10
  • Posts: 940

Posted 05 May 2004 - 06:16 PM

the agpgart module has to compiled into teh kernel
and the driver modules should be done as (ext)modules
with DRI support enabled

#7 User is offline   Rookie1 Icon

  • Account: rookie1
  • Main tag: ]_[
  • Country:
  • Joined: 04-March 10
  • Posts: 86

Posted 06 May 2004 - 10:39 AM

Quote

the agpgart module has to compiled into teh kernel

no, working fine as a module here (Gentoo, Kernel 2.6.3)

#8 User is offline   Insane_Penquin (old) Icon

  • Joined: 09-February 04
  • Posts: 47
  • Locationwaco, tx

Posted 09 May 2004 - 03:46 AM

yeah, ive switched to gentoo and it works now although quake3 doesnt like alsa

#9 User is offline   Rookie1 Icon

  • Account: rookie1
  • Main tag: ]_[
  • Country:
  • Joined: 04-March 10
  • Posts: 86

Posted 09 May 2004 - 02:47 PM

Quote

...although quake3 doesnt like alsa

Try "emerge alsa-oss"

#10 User is offline   Insane_Penquin (old) Icon

  • Joined: 09-February 04
  • Posts: 47
  • Locationwaco, tx

Posted 09 May 2004 - 08:26 PM

do i need to recompile my kernel or anything like that?

  • (2 Pages)
  • +
  • 1
  • 2
  • You cannot start a new topic
  • This topic is locked

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users

Advertisement


Copyright © 1999-2019 Frozensand Games Limited  |  All rights reserved  |  Urban Terror™ and FrozenSand™ are trademarks of Frozensand Games Limited

Frozensand Games is a Limited company registered in England and Wales. Company Reg No: 10343942